curl --request POST \
--url https://api.framelane.io/v1/templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "<string>",
"slug": "<string>",
"title": "<string>",
"description": "<string>",
"category": "<string>",
"tags": [
"<string>"
],
"priority": 0,
"premium": false,
"status": "draft",
"preview_url": "<string>",
"family": "<string>"
}
'import requests
url = "https://api.framelane.io/v1/templates"
payload = {
"project_id": "<string>",
"slug": "<string>",
"title": "<string>",
"description": "<string>",
"category": "<string>",
"tags": ["<string>"],
"priority": 0,
"premium": False,
"status": "draft",
"preview_url": "<string>",
"family": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_id: '<string>',
slug: '<string>',
title: '<string>',
description: '<string>',
category: '<string>',
tags: ['<string>'],
priority: 0,
premium: false,
status: 'draft',
preview_url: '<string>',
family: '<string>'
})
};
fetch('https://api.framelane.io/v1/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.framelane.io/v1/templates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'project_id' => '<string>',
'slug' => '<string>',
'title' => '<string>',
'description' => '<string>',
'category' => '<string>',
'tags' => [
'<string>'
],
'priority' => 0,
'premium' => false,
'status' => 'draft',
'preview_url' => '<string>',
'family' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.framelane.io/v1/templates"
payload := strings.NewReader("{\n \"project_id\": \"<string>\",\n \"slug\": \"<string>\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"category\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"priority\": 0,\n \"premium\": false,\n \"status\": \"draft\",\n \"preview_url\": \"<string>\",\n \"family\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.framelane.io/v1/templates")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"project_id\": \"<string>\",\n \"slug\": \"<string>\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"category\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"priority\": 0,\n \"premium\": false,\n \"status\": \"draft\",\n \"preview_url\": \"<string>\",\n \"family\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.framelane.io/v1/templates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"project_id\": \"<string>\",\n \"slug\": \"<string>\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"category\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"priority\": 0,\n \"premium\": false,\n \"status\": \"draft\",\n \"preview_url\": \"<string>\",\n \"family\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"project_id": "<string>",
"slug": "<string>",
"title": "<string>",
"priority": 123,
"premium": true,
"status": "draft",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"category": "<string>",
"tags": [
"<string>"
],
"preview_url": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"family": "<string>"
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}Publish a template
Admin workspaces only. List one of your template projects in the gallery. status: published makes it public, which needs every media URL in its composition on the shared CDN (template_assets_not_shared lists the rest) and no webhook_url (template_has_webhook), since every copy inherits it; a draft is visible to admin workspaces only.
curl --request POST \
--url https://api.framelane.io/v1/templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "<string>",
"slug": "<string>",
"title": "<string>",
"description": "<string>",
"category": "<string>",
"tags": [
"<string>"
],
"priority": 0,
"premium": false,
"status": "draft",
"preview_url": "<string>",
"family": "<string>"
}
'import requests
url = "https://api.framelane.io/v1/templates"
payload = {
"project_id": "<string>",
"slug": "<string>",
"title": "<string>",
"description": "<string>",
"category": "<string>",
"tags": ["<string>"],
"priority": 0,
"premium": False,
"status": "draft",
"preview_url": "<string>",
"family": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_id: '<string>',
slug: '<string>',
title: '<string>',
description: '<string>',
category: '<string>',
tags: ['<string>'],
priority: 0,
premium: false,
status: 'draft',
preview_url: '<string>',
family: '<string>'
})
};
fetch('https://api.framelane.io/v1/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.framelane.io/v1/templates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'project_id' => '<string>',
'slug' => '<string>',
'title' => '<string>',
'description' => '<string>',
'category' => '<string>',
'tags' => [
'<string>'
],
'priority' => 0,
'premium' => false,
'status' => 'draft',
'preview_url' => '<string>',
'family' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.framelane.io/v1/templates"
payload := strings.NewReader("{\n \"project_id\": \"<string>\",\n \"slug\": \"<string>\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"category\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"priority\": 0,\n \"premium\": false,\n \"status\": \"draft\",\n \"preview_url\": \"<string>\",\n \"family\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.framelane.io/v1/templates")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"project_id\": \"<string>\",\n \"slug\": \"<string>\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"category\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"priority\": 0,\n \"premium\": false,\n \"status\": \"draft\",\n \"preview_url\": \"<string>\",\n \"family\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.framelane.io/v1/templates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"project_id\": \"<string>\",\n \"slug\": \"<string>\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"category\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"priority\": 0,\n \"premium\": false,\n \"status\": \"draft\",\n \"preview_url\": \"<string>\",\n \"family\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"project_id": "<string>",
"slug": "<string>",
"title": "<string>",
"priority": 123,
"premium": true,
"status": "draft",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"category": "<string>",
"tags": [
"<string>"
],
"preview_url": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"family": "<string>"
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
A kind=template project in your workspace.
Stable public handle, e.g. stock-montage.
80^[a-z0-9]+(?:-[a-z0-9]+)*$1 - 25564Sorts rows and carousels, highest first.
published makes the template public. Publishing needs every media URL in its composition to sit on the shared CDN (422 template_assets_not_shared) and no webhook_url (422 template_has_webhook).
draft, published A finished render of the template.
1 - 2083Links the size variants of one design.
64Response
Successful Response
A gallery listing as stored.
Listing id.
The listed template project.
draft, published 
